#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x2ab9dba5, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xc410a5b, __VMLINUX_SYMBOL_STR(can_change_mtu) },
	{ 0x1559ef2f, __VMLINUX_SYMBOL_STR(usb_deregister) },
	{ 0x457c11a1, __VMLINUX_SYMBOL_STR(usb_register_driver) },
	{ 0x45453d19, __VMLINUX_SYMBOL_STR(__netif_schedule) },
	{ 0xd611bca3, __VMLINUX_SYMBOL_STR(completion_done) },
	{ 0xd935730d, __VMLINUX_SYMBOL_STR(can_get_echo_skb) },
	{ 0x471f59c0, __VMLINUX_SYMBOL_STR(alloc_can_skb) },
	{ 0x6adf1c95, __VMLINUX_SYMBOL_STR(_dev_info) },
	{ 0x4b06d2e7, __VMLINUX_SYMBOL_STR(complete) },
	{ 0xfdb42b92, __VMLINUX_SYMBOL_STR(dev_warn) },
	{ 0x53f6ffbc, __VMLINUX_SYMBOL_STR(wait_for_completion_timeout) },
	{ 0xfaa74b50, __VMLINUX_SYMBOL_STR(close_candev) },
	{ 0x161cb752, __VMLINUX_SYMBOL_STR(usb_alloc_coherent) },
	{ 0xf7587b8a, __VMLINUX_SYMBOL_STR(open_candev) },
	{ 0xdb7305a1, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0xfbf6264d, __VMLINUX_SYMBOL_STR(__dynamic_dev_dbg) },
	{ 0x71c11fdb, __VMLINUX_SYMBOL_STR(register_candev) },
	{ 0x7adcdf4f, __VMLINUX_SYMBOL_STR(alloc_candev) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0xa6c1725, __VMLINUX_SYMBOL_STR(devm_kmalloc) },
	{ 0x1bd331d, __VMLINUX_SYMBOL_STR(netif_device_detach) },
	{ 0xecd2e97, __VMLINUX_SYMBOL_STR(can_free_echo_skb) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x972f6c11, __VMLINUX_SYMBOL_STR(consume_skb) },
	{ 0x7aa297b5, __VMLINUX_SYMBOL_STR(can_put_echo_skb) },
	{ 0x17673717, __VMLINUX_SYMBOL_STR(kfree_skb) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0xb2903916, __VMLINUX_SYMBOL_STR(usb_bulk_msg) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x3bd1b1f6, __VMLINUX_SYMBOL_STR(msecs_to_jiffies) },
	{ 0xe39eaefd, __VMLINUX_SYMBOL_STR(__dynamic_netdev_dbg) },
	{ 0x1a5f6a16, __VMLINUX_SYMBOL_STR(netif_carrier_on) },
	{ 0x4c562280, __VMLINUX_SYMBOL_STR(netif_rx) },
	{ 0x5fbe341e, __VMLINUX_SYMBOL_STR(netif_carrier_off) },
	{ 0x5cb66c59, __VMLINUX_SYMBOL_STR(alloc_can_err_skb) },
	{ 0xaf9536f7, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x98cdb7e3, __VMLINUX_SYMBOL_STR(netdev_info) },
	{ 0x7b00c548, __VMLINUX_SYMBOL_STR(usb_unanchor_urb) },
	{ 0x6c3fdb73, __VMLINUX_SYMBOL_STR(netdev_err) },
	{ 0xd721fa55, __VMLINUX_SYMBOL_STR(usb_free_urb) },
	{ 0xd8c157e0, __VMLINUX_SYMBOL_STR(usb_submit_urb) },
	{ 0x99e6cc26, __VMLINUX_SYMBOL_STR(usb_anchor_urb) },
	{ 0x20705009, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0x8733c9e1, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0xe5b023cc, __VMLINUX_SYMBOL_STR(usb_alloc_urb) },
	{ 0xc0fa225e, __VMLINUX_SYMBOL_STR(netdev_warn) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x8529901f, __VMLINUX_SYMBOL_STR(free_candev) },
	{ 0x25267b58, __VMLINUX_SYMBOL_STR(usb_free_coherent) },
	{ 0xff1076fc, __VMLINUX_SYMBOL_STR(usb_kill_anchored_urbs) },
	{ 0xffe63c2f, __VMLINUX_SYMBOL_STR(unregister_netdev) },
	{ 0xbdfb6dbb, __VMLINUX_SYMBOL_STR(__fentry__) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=can-dev,usbcore";

MODULE_ALIAS("usb:v0BFDp000Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0016d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0121d*dc*dsc*dp*ic*isc*ip*in*");
